let fs = require('fs')
var watch = require('node-watch');
let ai = require('./ai-new')
let path = 'C:\\yMTa - 2\\Set\\AiTest\\Newfolder2\\'
let datas = []


run()

async function run() {
    let files = await fs.readdirSync(path)
    for (let i = 0; i < files.length; i++) {
        if (!files[i].includes('Lp'))
            continue


        let lastFile = await fs.readFileSync(path + files[i], 'utf8')
        lastFile = lastFile.split('\n')
       // console.log(lastFile[lastFile.length - 2])

        let data = grabData(lastFile)


        let vars = ai.run(data)

        datas.push({name: files[i], vars: vars})
    }

    // console.log(datas)
    watcher()

}


function grabData(data) {
    // console.log(data)
    let arr = []
    for (let i = 0; i < data.length; i++) {


        try {
            let d = data[i].split(',')
            let profit = parseFloat(d[7])
            let runUp = parseFloat(d[8])
            let drawDown = parseFloat(d[9])

            if (isNaN(profit))
                continue
            arr.push({profit, runUp, drawDown})
        } catch (e) {

        }

    }

    return arr
}


function watcher() {
    watch(path, {filter: /\.csv$/}, function (evt, name) {
        console.log('%s changed.', name);
        if (name.includes('Lp'))
            updateVars(name)

    });
}


async function updateVars(name) {
    let lastFile = await fs.readFileSync(path + name, 'utf8')
    lastFile = lastFile.split('\n')
    // console.log([lastFile[lastFile.length-2]])
    let data = grabData([lastFile[lastFile.length - 2]])
    //  console.log(data)

    let vars = ai.run(data, getVarsFromName(name))
    console.log(name,vars)
    updateVarsFromName(name, vars)

}


function getVarsFromName(name) {
    for (let i = 0; i < datas.length; i++)
        if (datas[i].name === name)
            return datas[i].vars
}


function updateVarsFromName(name, vars) {
    for (let i = 0; i < datas.length; i++)
        if (datas[i].name === name)
            datas[i].vars = vars
}


